ONVIF::Media::Types::ClassDescriptor(3)

NAME
ONVIF::Media::Types::ClassDescriptor

DESCRIPTION
Perl data type class for the XML Schema defined complexType ClassDescriptor from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ClassCandidate

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::ClassDescriptor
   ClassCandidate =>  {
     Type => $some_value, # ClassType
     Likelihood =>  $some_value, # float
   },
   Extension =>  { # ONVIF::Media::Types::ClassDescriptorExtension
     OtherTypes =>  { # ONVIF::Media::Types::OtherType
       Type =>  $some_value, # string
       Likelihood =>  $some_value, # float
     },
     Extension =>  { # ONVIF::Media::Types::ClassDescriptorExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL